<?php
try
{
 // --- connexion de la base de données ---
 $bdd = new PDO('mysql:host=localhost;dbname=CoursPHP','root','mot_de_passe');
 // suite des requêtes sur la base et les tables
 echo "La base est connectée".PHP_EOL;
 
 $requete_sql = 'select * from tabledetest';
 $reponse = $bdd->query($requete_sql);
 if (!$reponse)
    throw new Exception('Problème Accès à la table.');
 echo "La requête a fonctionné".PHP_EOL;
}
catch(Exception $e)
{
 echo 'Message : '.$e->getMessage().PHP_EOL;
}
?>
